ru.yandex.clickhouse

## Interface ClickHouseConnection

All Superinterfaces:
  AutoCloseable, Connection, Wrapper

All Known Implementing Classes:
  ClickHouseConnectionImpl

    public interface ClickHouseConnection
    extends Connection

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ClickHouseStatement` `createClickHouseStatement()` Deprecated.
`ClickHouseStatement` `createStatement()`
`ClickHouseStatement` `createStatement(int resultSetType, int resultSetConcurrency)`
`String` `getServerVersion()`
`TimeZone` `getTimeZone()`

### Methods inherited from interface java.sql.Connection

`abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### createClickHouseStatement

    @Deprecated
    ClickHouseStatement createClickHouseStatement()
                                                       throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getTimeZone

    TimeZone getTimeZone()

#### createStatement

    ClickHouseStatement createStatement()
                                 throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Throws:
  `SQLException`

#### createStatement

    ClickHouseStatement createStatement(int resultSetType,
                                        int resultSetConcurrency)
                                 throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Throws:
  `SQLException`

#### getServerVersion

    String getServerVersion()
                     throws SQLException

Throws:
  `SQLException`